> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Event

This response changes based on the event type, for more information the various possible responses, see
[Event Types <Icon icon="book" size={16} />](/event-types/overview).

<Note>
  For backwards compatibility, this endpoint is also available as `/firework/v2/activities/{index}/{source}/{id}`.
</Note>

<ResponseExample>
  ```plaintext Response Example theme={null}
  This response changes based on the event type.
  ```
</ResponseExample>


## OpenAPI

````yaml firework-v2-openapi get /firework/v2/activities/
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/activities/:
    get:
      tags:
        - activities
      operationId: get_activity_endpoint_/activities/
      parameters:
        - in: query
          name: uid
          required: true
          schema:
            type: string
      responses:
        '200':
          content: {}
          description: Returns the activity
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpError'
          description: Activity not found
components:
  schemas:
    HttpError:
      properties:
        message:
          type: string
        code:
          type: string
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````